Debian Bug report logs - #596891
samba: CVE-2010-3069: buffer overrun vulnerability Available

version graph

Package: samba; Maintainer for samba is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for samba is src:samba.

Reported by: Christian PERRIER <bubulle@debian.org>

Date: Tue, 14 Sep 2010 20:12:01 UTC

Severity: critical

Tags: security

Fixed in versions samba/2:3.5.5~dfsg-1, samba/2:3.2.5-4lenny13

Done: Stefan Fritsch <sf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#596891; Package samba. (Tue, 14 Sep 2010 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Tue, 14 Sep 2010 20:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: submit@bugs.debian.org
Subject: samba: CVE-2010-3069: buffer overrun vulnerability Available
Date: Tue, 14 Sep 2010 22:10:04 +0200
[Message part 1 (text/plain, inline)]
Package: samba
Severity: critical
Tags: security

This vulnerability has been unveiled publicly without prior warning,
so probably exploits can be in the wild already.

3.2 from lenny is affected, too. Backporting the fix seems trivial and
I think we'll be working on it ASAP.

----- Forwarded message from Karolin Seeger <kseeger@samba.org> -----

Date: Tue, 14 Sep 2010 13:14:28 +0200
From: Karolin Seeger <kseeger@samba.org>
To: samba@samba.org, samba-technical@samba.org, samba-announce@samba.org
Subject: [Announce] Samba 3.5.5, 3.4.9 and 3.3.14 Security Releases Available
Organization: SerNet GmbH, Goettingen, Germany
X-CRM114-Status: Good  ( pR: 82.4819 )

Release Announcements
=====================

These are a security releases in order to address CVE-2010-3069.


o  CVE-2010-3069:
   All current released versions of Samba are vulnerable to
   a buffer overrun vulnerability. The sid_parse() function
   (and related dom_sid_parse() function in the source4 code)
   do not correctly check their input lengths when reading a
   binary representation of a Windows SID (Security ID). This
   allows a malicious client to send a sid that can overflow
   the stack variable that is being used to store the SID in the
   Samba smbd server.


Changes
-------


o   Jeremy Allison <jra@samba.org>
    * BUG 7669: Fix for CVE-2010-3069.


o   Andrew Bartlett <abartlet@samba.org>
    * BUG 7669: Fix for CVE-2010-3069.


######################################################################
Reporting bugs & Development Discussion
#######################################

Please discuss this release on the samba-technical mailing list or by
joining the #samba-technical IRC channel on irc.freenode.net.

If you do report problems then please try to send high quality
feedback. If you don't provide vital information to help us track down
the problem then you will probably be ignored.  All bug reports should
be filed under the Samba corresponding product in the project's Bugzilla
database (https://bugzilla.samba.org/).


======================================================================
== Our Code, Our Bugs, Our Responsibility.
== The Samba Team
======================================================================


================
Download Details
================

The uncompressed tarballs and patch files have been signed
using GnuPG (ID 6568B7EA).  The source code can be downloaded
from:

        http://download.samba.org/samba/ftp/

The release notes are available online at:

        http://www.samba.org/samba/ftp/history/samba-3.3.14.html
        http://www.samba.org/samba/ftp/history/samba-3.4.9.html
        http://www.samba.org/samba/ftp/history/samba-3.5.5.html

Binary packages will be made available on a volunteer basis from

        http://download.samba.org/samba/ftp/Binary_Packages/

Our Code, Our Bugs, Our Responsibility.
(https://bugzilla.samba.org/)

                        --Enjoy
                        The Samba Team



 ** CRM114 Whitelisted by: lists.samba.org **


----- End forwarded message -----

-- 


[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from bubulle@alioth.debian.org to control@bugs.debian.org. (Tue, 14 Sep 2010 20:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#596891; Package samba. (Tue, 14 Sep 2010 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Tue, 14 Sep 2010 20:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 596891@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 596891@bugs.debian.org
Cc: team@security.debian.org
Subject: Re: [Pkg-samba-maint] Bug#596891: samba: CVE-2010-3069: buffer overrun vulnerability Available
Date: Tue, 14 Sep 2010 22:46:23 +0200
[Message part 1 (text/plain, inline)]
Quoting Christian PERRIER (bubulle@debian.org):
> Package: samba
> Severity: critical
> Tags: security
> 
> This vulnerability has been unveiled publicly without prior warning,
> so probably exploits can be in the wild already.
> 
> 3.2 from lenny is affected, too. Backporting the fix seems trivial and
> I think we'll be working on it ASAP.

Proposed patch.

I have a build targeted to stable-security that's currently
running. To security team, please give me a GO to upload....unless of
course you prefer reviewing thismor ecarefully.

This patch is a port to 3.2 of changes made upstream between 3.5.4 and
3.5.5 (changes to version numbers in version.h as well as .spec files
left aside). The only change has been moving a #define to
source/include/includes.h as the include file it appear in for 3.5
does not exist in 3.2. Being quite a moron with all thius, this is the
only thing I'm not very confident into.

I guess that if I screwed, the build will fail anyway...

Testing is vulnerable too. samba in testing is 3.4.8. In unstable, we
have 3.5.4 (vulnerable too) after a discussion with the release team.

The agreement with the RT is to let a few weeks pass before allowing
samba 3.5 in testing. So, in case 3.5 wouldn't finally be allowed
(chance are low, but still), maybe we should also upload a fixed 3.4.8
to t-p-u (or testing-security?).

[security-CVE-2010-3069.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#596891; Package samba. (Tue, 14 Sep 2010 20:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Tue, 14 Sep 2010 20:54:08 GMT) Full text and rfc822 format available.

Message #17 received at 596891@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 596891@bugs.debian.org
Cc: team@security.debian.org
Subject: Re: [Pkg-samba-maint] Bug#596891: samba: CVE-2010-3069: buffer overrun vulnerability Available
Date: Tue, 14 Sep 2010 22:51:19 +0200
[Message part 1 (text/plain, inline)]
Quoting Christian PERRIER (bubulle@debian.org):
> Package: samba
> Severity: critical
> Tags: security
> 
> This vulnerability has been unveiled publicly without prior warning,
> so probably exploits can be in the wild already.
> 
> 3.2 from lenny is affected, too. Backporting the fix seems trivial and
> I think we'll be working on it ASAP.

Packages built for lenny with the proposed patch. I'm currently
sending them to
http://people.debian.org/~bubulle/public_html/samba-CVE-2010-3069 for
review. Expect 30 minutes or so for the upload to complete.

[signature.asc (application/pgp-signature, inline)]

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Wed, 15 Sep 2010 08:36:12 GMT) Full text and rfc822 format available.

Notification sent to Christian PERRIER <bubulle@debian.org>:
Bug acknowledged by developer. (Wed, 15 Sep 2010 08:36:12 GMT) Full text and rfc822 format available.

Message #22 received at 596891-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 596891-close@bugs.debian.org
Subject: Bug#596891: fixed in samba 2:3.5.5~dfsg-1
Date: Wed, 15 Sep 2010 08:33:50 +0000
Source: samba
Source-Version: 2:3.5.5~dfsg-1

We believe that the bug you reported is fixed in the latest version of
samba, which is due to be installed in the Debian FTP archive:

libpam-smbpass_3.5.5~dfsg-1_i386.deb
  to main/s/samba/libpam-smbpass_3.5.5~dfsg-1_i386.deb
libsmbclient-dev_3.5.5~dfsg-1_i386.deb
  to main/s/samba/libsmbclient-dev_3.5.5~dfsg-1_i386.deb
libsmbclient_3.5.5~dfsg-1_i386.deb
  to main/s/samba/libsmbclient_3.5.5~dfsg-1_i386.deb
libwbclient0_3.5.5~dfsg-1_i386.deb
  to main/s/samba/libwbclient0_3.5.5~dfsg-1_i386.deb
samba-common-bin_3.5.5~dfsg-1_i386.deb
  to main/s/samba/samba-common-bin_3.5.5~dfsg-1_i386.deb
samba-common_3.5.5~dfsg-1_all.deb
  to main/s/samba/samba-common_3.5.5~dfsg-1_all.deb
samba-dbg_3.5.5~dfsg-1_i386.deb
  to main/s/samba/samba-dbg_3.5.5~dfsg-1_i386.deb
samba-doc-pdf_3.5.5~dfsg-1_all.deb
  to main/s/samba/samba-doc-pdf_3.5.5~dfsg-1_all.deb
samba-doc_3.5.5~dfsg-1_all.deb
  to main/s/samba/samba-doc_3.5.5~dfsg-1_all.deb
samba-tools_3.5.5~dfsg-1_i386.deb
  to main/s/samba/samba-tools_3.5.5~dfsg-1_i386.deb
samba_3.5.5~dfsg-1.debian.tar.gz
  to main/s/samba/samba_3.5.5~dfsg-1.debian.tar.gz
samba_3.5.5~dfsg-1.dsc
  to main/s/samba/samba_3.5.5~dfsg-1.dsc
samba_3.5.5~dfsg-1_i386.deb
  to main/s/samba/samba_3.5.5~dfsg-1_i386.deb
samba_3.5.5~dfsg.orig.tar.bz2
  to main/s/samba/samba_3.5.5~dfsg.orig.tar.bz2
smbclient_3.5.5~dfsg-1_i386.deb
  to main/s/samba/smbclient_3.5.5~dfsg-1_i386.deb
swat_3.5.5~dfsg-1_i386.deb
  to main/s/samba/swat_3.5.5~dfsg-1_i386.deb
winbind_3.5.5~dfsg-1_i386.deb
  to main/s/samba/winbind_3.5.5~dfsg-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596891@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated samba package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Sep 2010 23:03:35 +0200
Source: samba
Binary: samba samba-common-bin samba-common samba-tools smbclient swat samba-doc samba-doc-pdf libpam-smbpass libsmbclient libsmbclient-dev winbind samba-dbg libwbclient0
Architecture: source all i386
Version: 2:3.5.5~dfsg-1
Distribution: unstable
Urgency: high
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 libpam-smbpass - pluggable authentication module for Samba
 libsmbclient - shared library for communication with SMB/CIFS servers
 libsmbclient-dev - development files for libsmbclient
 libwbclient0 - Samba winbind client library
 samba      - SMB/CIFS file, print, and login server for Unix
 samba-common - common files used by both the Samba server and client
 samba-common-bin - common files used by both the Samba server and client
 samba-dbg  - Samba debugging symbols
 samba-doc  - Samba documentation
 samba-doc-pdf - Samba documentation in PDF format
 samba-tools - Samba testing utilities
 smbclient  - command-line SMB/CIFS clients for Unix
 swat       - Samba Web Administration Tool
 winbind    - Samba nameservice integration server
Closes: 594325 596040 596164 596891
Changes: 
 samba (2:3.5.5~dfsg-1) unstable; urgency=high
 .
   [ Christian Perrier ]
   * New upstream release. Security release fixing:
     - CVE-2019-3069: Buffer overrun vulnerability in sid_parse.
       Closes: #596891.
   * Fix comment in swat's postinst. It is not turned off by default
     Closes: #596040
   * Drop transition code from (pre-etch) 3.0.20b-3 version in swat postinst
 .
   [ Steve Langasek ]
   * debian/control: winbind needs libpam-runtime (>= 1.0.1-6) for
     pam-auth-update.  Closes: #594325.
 .
   [ Debconf translations ]
   * Arabic (Ossama Khayat).  Closes: #596164
Checksums-Sha1: 
 0f6134716bf5895c52e7b5de431be42e352ac51d 2287 samba_3.5.5~dfsg-1.dsc
 d22fab1f081a009bcb9c586c1f5267ffd5b61c9a 26595256 samba_3.5.5~dfsg.orig.tar.bz2
 68df25eacaa126248b488536c57d50d6f0f059ed 493741 samba_3.5.5~dfsg-1.debian.tar.gz
 dcd8794217078146449c0ad84fe51b38f2af92b3 380592 samba-common_3.5.5~dfsg-1_all.deb
 d7157a7074156c851ad4cb19af73187769913acb 1727426 samba-doc_3.5.5~dfsg-1_all.deb
 3a60c60f15767621db5ccb9295d755ea3a9bef21 7107194 samba-doc-pdf_3.5.5~dfsg-1_all.deb
 7fc8ae7e808dd63c5177ec948a97fd9c1df009d0 7630938 samba_3.5.5~dfsg-1_i386.deb
 a71dcf851dd5b841b985515051bed104e56ce135 5839842 samba-common-bin_3.5.5~dfsg-1_i386.deb
 927761820a212fa5144a2c39afa0fd37d21505ef 10594202 samba-tools_3.5.5~dfsg-1_i386.deb
 922675950055a3eaffe5b7a09dd2272989261e92 13823974 smbclient_3.5.5~dfsg-1_i386.deb
 dca240bb48ae38bf4382d980c222883d26c06bad 2265080 swat_3.5.5~dfsg-1_i386.deb
 f31f3a87c7b294459eb9a040130de3d62c4f01ba 827928 libpam-smbpass_3.5.5~dfsg-1_i386.deb
 57f43315fa1ddba71b0e915bd6fe99f928c2f189 1965190 libsmbclient_3.5.5~dfsg-1_i386.deb
 0f8390c716ddb4bfb4bff75874ada29a1fa393d1 2896538 libsmbclient-dev_3.5.5~dfsg-1_i386.deb
 cfa2b597118083a98fdf5fcea10b12a1362398f1 5289084 winbind_3.5.5~dfsg-1_i386.deb
 8092134f5912be52ab2872970d7861c4c6d6f029 57266008 samba-dbg_3.5.5~dfsg-1_i386.deb
 bf939230032ccf735959f2996201cf8aa8bb6e95 111182 libwbclient0_3.5.5~dfsg-1_i386.deb
Checksums-Sha256: 
 691d35ad00b17c76a754949dc12d48895aaf6cf5eace8f15d34c0a2ada9d2783 2287 samba_3.5.5~dfsg-1.dsc
 f852fd450d8536c3f9e5f73c3ea5fd25abef770bbdea9ab7de9f96be0a5dc8f1 26595256 samba_3.5.5~dfsg.orig.tar.bz2
 292c11d839242793b735bc73f2dc75343e8a5e93a1079eaaa59a465de5af2cf0 493741 samba_3.5.5~dfsg-1.debian.tar.gz
 09911d290077431ccb6ad448f5d24631861c2190c361a2682d4b02d4a0968466 380592 samba-common_3.5.5~dfsg-1_all.deb
 8ccfcb1590965310eceb58136e4338c3959df958d0e6e0166442d51ef5c6d9b8 1727426 samba-doc_3.5.5~dfsg-1_all.deb
 906316154f315e31eec98c43311631cc097d49b50059eaa656258958b7557865 7107194 samba-doc-pdf_3.5.5~dfsg-1_all.deb
 f56b89a965fa1ed748958fe7b6c940e0461aa0f8e896d91ea4d673a4f63199ac 7630938 samba_3.5.5~dfsg-1_i386.deb
 985733a17b0b2cd31471aae356a9d073ee901a92d3a5e1d7ace2a1787c614452 5839842 samba-common-bin_3.5.5~dfsg-1_i386.deb
 587f3bf6e5e240e947ba9f46caf14ab37575a1edca79b9788697d4dddd299153 10594202 samba-tools_3.5.5~dfsg-1_i386.deb
 d6ad937125c7e9ee783530f67ed46a2330b79940a72ad2b8425fc50cb11b2701 13823974 smbclient_3.5.5~dfsg-1_i386.deb
 8304f95e8410173fce4a85a7ee0c02e36194b492e2dbe170fb78be95483fc279 2265080 swat_3.5.5~dfsg-1_i386.deb
 14c9d717f6a04d1413d24e60ea1adfcb86528d7b9e7be91873cca016a1015ee7 827928 libpam-smbpass_3.5.5~dfsg-1_i386.deb
 2bf98899baf2c83ced37454448b84082461f36408c4fd4cacf24634c8cc6542d 1965190 libsmbclient_3.5.5~dfsg-1_i386.deb
 500f80e97f7da9cc3b295eb1282a7051196efe29872d50acfe5c6bad19062fbb 2896538 libsmbclient-dev_3.5.5~dfsg-1_i386.deb
 0c750c89e80f3033640bfdc4c1c128dbf3aa2793daba102d952368d936169098 5289084 winbind_3.5.5~dfsg-1_i386.deb
 c6c93f27acea99cf8d2b10b1540f29857545519892bedef1b59fb9b4043c6fa2 57266008 samba-dbg_3.5.5~dfsg-1_i386.deb
 e0343047cac0ec85d85f77673f722d5d05f3f1374a5d83e39c726a009b6cbcc2 111182 libwbclient0_3.5.5~dfsg-1_i386.deb
Files: 
 dd64ec619d304baa7aa738999f09814c 2287 net optional samba_3.5.5~dfsg-1.dsc
 01a08dff5d140b196795d7ef1f3532f3 26595256 net optional samba_3.5.5~dfsg.orig.tar.bz2
 9f682f2dcaa19fef7f85b8127f207bd8 493741 net optional samba_3.5.5~dfsg-1.debian.tar.gz
 16680886ef966dba45eb76913400f8d5 380592 net optional samba-common_3.5.5~dfsg-1_all.deb
 d874a0740c2ddbefadf6339b59e03d23 1727426 doc optional samba-doc_3.5.5~dfsg-1_all.deb
 ead929a9bab4a8a5e2f31f8cc138cc4b 7107194 doc optional samba-doc-pdf_3.5.5~dfsg-1_all.deb
 c96f11ca434e7d4acf748fa57c605cb4 7630938 net optional samba_3.5.5~dfsg-1_i386.deb
 f9ab5b849fa9a8025d6e3df69d5405bc 5839842 net optional samba-common-bin_3.5.5~dfsg-1_i386.deb
 2f38c5e4da54da5d7b99aeca4e1c2f16 10594202 net optional samba-tools_3.5.5~dfsg-1_i386.deb
 1425a295c1c2e26b8120c60fc86d62bb 13823974 net optional smbclient_3.5.5~dfsg-1_i386.deb
 7c1eca1f3fff97ccd3fcb727b5328281 2265080 net optional swat_3.5.5~dfsg-1_i386.deb
 6c010aabc3bd3fa617f0c2e24f9b145f 827928 admin extra libpam-smbpass_3.5.5~dfsg-1_i386.deb
 4aa43424f4a48f0665998733f8e5d99d 1965190 libs optional libsmbclient_3.5.5~dfsg-1_i386.deb
 84b30a3c7e47d254cc842bd78e0b6986 2896538 libdevel extra libsmbclient-dev_3.5.5~dfsg-1_i386.deb
 34e9f6648ed16acc20d98d36edcc170b 5289084 net optional winbind_3.5.5~dfsg-1_i386.deb
 9f7e68a44c3e2e5e1b5a03e194eeee6e 57266008 debug extra samba-dbg_3.5.5~dfsg-1_i386.deb
 e2748ebb7796d6faf181aafedbdac147 111182 libs optional libwbclient0_3.5.5~dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMkHc61OXtrMAUPS0RAomeAJ4iOwi43+tz8WthepNLlXSgUiiq7QCgvQAC
XZU2bytqtXu2YEkst/VAQmA=
=yIf7
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from bubulle@alioth.debian.org to control@bugs.debian.org. (Wed, 15 Sep 2010 18:09:09 GMT) Full text and rfc822 format available.

Reply sent to Stefan Fritsch <sf@debian.org>:
You have taken responsibility. (Thu, 30 Sep 2010 01:57:04 GMT) Full text and rfc822 format available.

Notification sent to Christian PERRIER <bubulle@debian.org>:
Bug acknowledged by developer. (Thu, 30 Sep 2010 01:57:04 GMT) Full text and rfc822 format available.

Message #29 received at 596891-close@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@debian.org>
To: 596891-close@bugs.debian.org
Subject: Bug#596891: fixed in samba 2:3.2.5-4lenny13
Date: Thu, 30 Sep 2010 01:56:04 +0000
Source: samba
Source-Version: 2:3.2.5-4lenny13

We believe that the bug you reported is fixed in the latest version of
samba, which is due to be installed in the Debian FTP archive:

libpam-smbpass_3.2.5-4lenny13_i386.deb
  to main/s/samba/libpam-smbpass_3.2.5-4lenny13_i386.deb
libsmbclient-dev_3.2.5-4lenny13_i386.deb
  to main/s/samba/libsmbclient-dev_3.2.5-4lenny13_i386.deb
libsmbclient_3.2.5-4lenny13_i386.deb
  to main/s/samba/libsmbclient_3.2.5-4lenny13_i386.deb
libwbclient0_3.2.5-4lenny13_i386.deb
  to main/s/samba/libwbclient0_3.2.5-4lenny13_i386.deb
samba-common_3.2.5-4lenny13_i386.deb
  to main/s/samba/samba-common_3.2.5-4lenny13_i386.deb
samba-dbg_3.2.5-4lenny13_i386.deb
  to main/s/samba/samba-dbg_3.2.5-4lenny13_i386.deb
samba-doc-pdf_3.2.5-4lenny13_all.deb
  to main/s/samba/samba-doc-pdf_3.2.5-4lenny13_all.deb
samba-doc_3.2.5-4lenny13_all.deb
  to main/s/samba/samba-doc_3.2.5-4lenny13_all.deb
samba-tools_3.2.5-4lenny13_i386.deb
  to main/s/samba/samba-tools_3.2.5-4lenny13_i386.deb
samba_3.2.5-4lenny13.diff.gz
  to main/s/samba/samba_3.2.5-4lenny13.diff.gz
samba_3.2.5-4lenny13.dsc
  to main/s/samba/samba_3.2.5-4lenny13.dsc
samba_3.2.5-4lenny13_i386.deb
  to main/s/samba/samba_3.2.5-4lenny13_i386.deb
smbclient_3.2.5-4lenny13_i386.deb
  to main/s/samba/smbclient_3.2.5-4lenny13_i386.deb
smbfs_3.2.5-4lenny13_i386.deb
  to main/s/samba/smbfs_3.2.5-4lenny13_i386.deb
swat_3.2.5-4lenny13_i386.deb
  to main/s/samba/swat_3.2.5-4lenny13_i386.deb
winbind_3.2.5-4lenny13_i386.deb
  to main/s/samba/winbind_3.2.5-4lenny13_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596891@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Fritsch <sf@debian.org> (supplier of updated samba package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 15 Sep 2010 18:41:36 +0200
Source: samba
Binary: samba samba-common samba-tools smbclient swat samba-doc samba-doc-pdf smbfs libpam-smbpass libsmbclient libsmbclient-dev winbind samba-dbg libwbclient0
Architecture: source all i386
Version: 2:3.2.5-4lenny13
Distribution: stable-security
Urgency: high
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Stefan Fritsch <sf@debian.org>
Description: 
 libpam-smbpass - pluggable authentication module for SMB/CIFS password database
 libsmbclient - shared library that allows applications to talk to SMB/CIFS serve
 libsmbclient-dev - libsmbclient static libraries and headers
 libwbclient0 - client library for interfacing with winbind service
 samba      - a LanManager-like file and printer server for Unix
 samba-common - Samba common files used by both the server and the client
 samba-dbg  - Samba debugging symbols
 samba-doc  - Samba documentation
 samba-doc-pdf - Samba documentation (PDF format)
 samba-tools - tools provided by the Samba suite
 smbclient  - a LanManager-like simple client for Unix
 smbfs      - mount and umount commands for the smbfs (for kernels >= than 2.2.
 swat       - Samba Web Administration Tool
 winbind    - service to resolve user and group information from Windows NT ser
Closes: 596891
Changes: 
 samba (2:3.2.5-4lenny13) stable-security; urgency=high
 .
   [ Christian Perrier ]
   * Security update, fixing the following issue:
     - CVE-2019-3069: Buffer overrun vulnerability in sid_parse.
       Closes: #596891.
Checksums-Sha1: 
 1ad06955f119c5375149560339a43af037bb0fe0 1834 samba_3.2.5-4lenny13.dsc
 7e7ee945b818491733363729df84fde7804e9d4d 238904 samba_3.2.5-4lenny13.diff.gz
 04c2d3fd3a09d3bd2a2f73ceaa50af463fb0ae9b 7949970 samba-doc_3.2.5-4lenny13_all.deb
 2ffd070b000f43be9b24e1722bc56818e56d62ba 6252920 samba-doc-pdf_3.2.5-4lenny13_all.deb
 397e21e9ea79b8cf6c827ea6cf9c2d8b6ebfa4ca 4297024 samba_3.2.5-4lenny13_i386.deb
 b011bb28067e2faa396115e3b388514deddd3a50 3413978 samba-common_3.2.5-4lenny13_i386.deb
 8ce1de82a6a522a9496363b0e31ab3a455eeb299 5069758 samba-tools_3.2.5-4lenny13_i386.deb
 0bb2146783a2a435172be3006e761d77188cdbac 6302812 smbclient_3.2.5-4lenny13_i386.deb
 172fab6e34481095493fcd78567147fe516b2de5 985474 swat_3.2.5-4lenny13_i386.deb
 d9a2610032519ff1b24fbae5261d7b709410f56c 1350902 smbfs_3.2.5-4lenny13_i386.deb
 dfe1bac7ec88089839f87e0db8f388a9c68898df 561444 libpam-smbpass_3.2.5-4lenny13_i386.deb
 189dd82fa18de34efca8995710b2ae4b817503f5 1200722 libsmbclient_3.2.5-4lenny13_i386.deb
 3883c244478e0c47a2e5de8c578406d26a78224d 1824284 libsmbclient-dev_3.2.5-4lenny13_i386.deb
 2ddf85f17f60361b093a88c33ee312c608f80d08 2931680 winbind_3.2.5-4lenny13_i386.deb
 b86dbd25a08656a7a106a5d9864befb1b2ed4fdc 2078438 samba-dbg_3.2.5-4lenny13_i386.deb
 854defe922f7a711c4dc7a647031db33102a6b2b 79724 libwbclient0_3.2.5-4lenny13_i386.deb
Checksums-Sha256: 
 17c9164a3954a2f6c92801b87350112187d4cc0877de93530a1d209dc98894d0 1834 samba_3.2.5-4lenny13.dsc
 036cc1e3f7b975cec5324b50963f7556503549d192e0e06fd5ed195f8a077e5c 238904 samba_3.2.5-4lenny13.diff.gz
 3b06ae83d22a7bd04245e0e717dece287f8ec5d5d86b78eeac08a4bee4ab8c4e 7949970 samba-doc_3.2.5-4lenny13_all.deb
 c34082069c8e74c1ea68cff6799d59b7790146284a952d25138de3152570aeba 6252920 samba-doc-pdf_3.2.5-4lenny13_all.deb
 7148ca7e771289ff72e63808e6e1b40ed986d4a12f36040713edf1da74ca77a3 4297024 samba_3.2.5-4lenny13_i386.deb
 2dc8f37fc422907b5e85d53aed95934deb7ae67bec6e33e7cdb6f604e1e8a53b 3413978 samba-common_3.2.5-4lenny13_i386.deb
 e97c1df2b0086fb09cac10dc42fb6ec6ce0be4f2a94e55032fe04e91a7ce51cc 5069758 samba-tools_3.2.5-4lenny13_i386.deb
 66059452bfadaf323103238bcb6d7315323ccff9f9c9ea95e690eabed9a6f442 6302812 smbclient_3.2.5-4lenny13_i386.deb
 f297a465b96a0007564102a874926fe4f666c151e1d6228584b1d02c1043adec 985474 swat_3.2.5-4lenny13_i386.deb
 4f7030b07455546b2c13c15f82c1772fbb0bb300e4d9c5be1291b7f51559dd0c 1350902 smbfs_3.2.5-4lenny13_i386.deb
 4fced3aaa963a6078dab804fec3bc8f46b091d520df3a67022032f7ac2f2d523 561444 libpam-smbpass_3.2.5-4lenny13_i386.deb
 ca6503bc188c91adcd8b1a1621b7d347de47fc018cb791bae21b31af465bfac5 1200722 libsmbclient_3.2.5-4lenny13_i386.deb
 b1308ad0b9aacae1d1b62d67acc0efa8db611657a985ddcc8e1604dada186d65 1824284 libsmbclient-dev_3.2.5-4lenny13_i386.deb
 7a2a2ec0ff21b6f6e95bd4b08b2efcc87cba42bf5fded2fab5f18bd2dc63ffa8 2931680 winbind_3.2.5-4lenny13_i386.deb
 53b87251987e63cb84e73a8621c5347c1895c2f2f0d52670f23cf4e5befc28a8 2078438 samba-dbg_3.2.5-4lenny13_i386.deb
 a8a5df588c09786f85ab881adc6e18cc2e66066a951f4a4281559624de6cf4ea 79724 libwbclient0_3.2.5-4lenny13_i386.deb
Files: 
 eca5531616077567a13aa70c77c24930 1834 net optional samba_3.2.5-4lenny13.dsc
 69d9df4c5fd03523273a58464326d0fb 238904 net optional samba_3.2.5-4lenny13.diff.gz
 de6f2284630f59ca11c79a87d7f5cd37 7949970 doc optional samba-doc_3.2.5-4lenny13_all.deb
 302863fb9b5611992881228e1d3c0fec 6252920 doc optional samba-doc-pdf_3.2.5-4lenny13_all.deb
 d28f3ace38105747ad719c22254758dd 4297024 net optional samba_3.2.5-4lenny13_i386.deb
 04e0ec798efef16f5f4f85d531460c6a 3413978 net optional samba-common_3.2.5-4lenny13_i386.deb
 03783d93e2684d3f5e6791e42e5c2779 5069758 net optional samba-tools_3.2.5-4lenny13_i386.deb
 6ab9c65baff46fca37ddee4c3bdd09c5 6302812 net optional smbclient_3.2.5-4lenny13_i386.deb
 3d3c29b7a86950db1cc8d85c16d71df6 985474 net optional swat_3.2.5-4lenny13_i386.deb
 bda07566b5f6ad865b1428207885204f 1350902 otherosfs optional smbfs_3.2.5-4lenny13_i386.deb
 cf09580878d82001e9e61b7f1d1f0441 561444 admin extra libpam-smbpass_3.2.5-4lenny13_i386.deb
 156290d3f0ea060e8efa71f08478a052 1200722 libs optional libsmbclient_3.2.5-4lenny13_i386.deb
 c65a5658663cf3a5bb80be2d4b4127ee 1824284 libdevel extra libsmbclient-dev_3.2.5-4lenny13_i386.deb
 d911e6518136d2ec50f3f2fc1967d3d7 2931680 net optional winbind_3.2.5-4lenny13_i386.deb
 6f7f4d608573922221da2225bfbe6f36 2078438 devel extra samba-dbg_3.2.5-4lenny13_i386.deb
 22ed052c45d5d928e08c39a6f77d4468 79724 libs optional libwbclient0_3.2.5-4lenny13_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMkPr5bxelr8HyTqQRAp4cAKCwDeMUx6TwmNHb5eLfKsqwBrKGogCfenEY
s6RL0uKCG25adCxnGFDbZCM=
=64Am
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Nov 2010 07:34:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:10:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.